FetchPoint
Keywords: org.jrobin.core.FetchPoint class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jrobin.core
Class FetchPoint

    java.lang.Object
      org.jrobin.core.FetchPoint

Deprecated. This class is deprecated since 1.2.0 and might be removed from future releases of JRobin. You don't need this class if you fetch RRD data with the `fetchData()` method from the `FetchRequest` class

public class FetchPoint
extends java.lang.Object

Class to represent data source values for the specific timestamp. Objects of this class are created during the fetching process. See `fetch()` method of the `FetchRequest` class.

Method Summary
`java.lang.String` | `dump()` Deprecated. Returns string representing timestamp and all data source values.
`int` | `getSize()` Deprecated. Returns number of data source values (same as number od data sources defined in RRD).
`long` | `getTime()` Deprecated. Returns timestamp associated with this fetch point.
`double` | `getValue(int i)` Deprecated. Returns the i-th data source value.
`double[]` | `getValues()` Deprecated. Returns array of data source values for the associated timestamp.
`java.lang.String` | `toString()` Deprecated. Returns string representing timestamp and all data source values.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getTime

    public long getTime()

  Deprecated.
  Returns timestamp associated with this fetch point.

  Returns:
    Timestamp in seconds.

### getValues

    public double[] getValues()

  Deprecated.
  Returns array of data source values for the associated timestamp. Data source values are returned in the order of their definition.

  Returns:
    Array of data source values.

### getSize

    public int getSize()

  Deprecated.
  Returns number of data source values (same as number od data sources defined in RRD).

  Returns:
    Number of data source values.

### getValue

    public double getValue(int i)

  Deprecated.
  Returns the i-th data source value. Data source values follow the order of data sources definition.

  Parameters:
    `i` - Data source index.
  Returns:
    Value of the i-th data source.

### dump

    public java.lang.String dump()

  Deprecated.
  Returns string representing timestamp and all data source values.

  Returns:
    Fetch point dump.

### toString

    public java.lang.String toString()

  Deprecated.
  Returns string representing timestamp and all data source values.

  Returns:
    Fetch point dump.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD